Bug 470837 - kernel-2.6.27.5-32.fc9.src.rpm fails to build in mock with ld segmentation fault
kernel-2.6.27.5-32.fc9.src.rpm fails to build in mock with ld segmentation fault
Status: CLOSED WORKSFORME
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
unspecified
All Linux
medium Severity high
: ---
: ---
Assigned To: Clark Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 10:58 EST by Lev Shamardin
Modified: 2013-01-09 23:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 01:09:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lev Shamardin 2008-11-10 10:58:33 EST
Description of problem:
I tried to build kernel-2.6.27.5-32.fc9.src.rpm from koji packages for noarch target in mock on fedora 8 host, and the build failed with this in build.log:

+ make ARCH=i386 nonint_oldconfig
collect2: 
ld terminated with signal 11 [Segmentation fault]
RPM build errors:
make[1]: *** [scripts/basic/fixdep] Error 1
make: *** [scripts_basic] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.9572 (%prep)
    Bad exit status from /var/tmp/rpm-tmp.9572 (%prep)
EXCEPTION: Command failed. See logs for output.

The rpm builds successfully wihtout mock.

Version-Release number of selected component (if applicable):
mock-0.9.7-2.fc8, binutils-2.17.50.0.18-1

How reproducible:
Always.

Steps to Reproduce:
1. mock -r fedora-8-i386 --target=noarch kernel-2.6.27.5-32.fc9.src.rpm
2. Wait.
  
Actual results:
No rpms are built

Expected results:
kernel-doc-2.6.27.5-32.fc8.noarch.rpm, kernel-firmware-2.6.27.5-32.fc8.noarch.rpm

Additional info:
The build succeeds without mock with this command line:
rpmbuild -bb --target=noarch --rebuild kernel.spec < /dev/null
Comment 1 Lev Shamardin 2008-11-10 11:06:28 EST
Forgot to mention, i386 and i686 targets build without any problems.
Comment 2 Lev Shamardin 2008-12-02 01:09:07 EST
newer package kernel-2.6.27.6-43.fc9 does not show the problem, so closing the bug.

Note You need to log in before you can comment on or make changes to this bug.